****************
* This is STATA do-file that replicates the results in the article 'Social Vulnerability Assessment for Norway: 
* A Quantitative Approach' by Ivar S. Holand, Pivi Lujala and Jan Ketil Rd published in
* Norsk Geografisk Tidsskrift - Norwegian Journal of Geography 65(1) in 2011
****************

* The final scores as included in the dataset as variables. If you want to run the do-file, you should first delete these:
drop Soseco_1- BuildTOT

* Replication of Table 3 - Socioeconomic vulnerability 
factor  AVGVALHOUS  PCTHHinc150 PCTKIDS PCTOLD  PCTNURSRES PCTHEALTH  MEDINCOME  PCTHIINCOM PCTLABOUR PCTSSBEN   PCTPRIM06   EqualGender  PCTSERVICE PCTNONWEST  PCTWEST  PCTNOHISCH  PCTDEGREE DEBREV loancosts frieinntekterPER PCTVOTERS     pctoutmigr   MEDASSETS PCTSPHH PCTUNEMPLO  , pcf factor (4)
rotate, varimax horst bl(0.4)

* Factor Scores for SeVI
predict Soseco_1 Soseco_2 Soseco_3 Soseco_4 
* Calculation of overall SeVI score 
gen SosecoTOT =-Soseco_1 - Soseco_2 - Soseco_3 + Soseco_4


* Replication of table 4 - Physical environment vulnerability
quie factor   PCROAD  pcexitrout  DISTHOSP DENCONSTR POPDENSITY  pctnewhous  waterAGE sewerAGE, pcf factor(4)
rotate, varimax horst bl(0.4)

* Factor Scores for BEVI
predict Build_1 Build_2 Build_3
* Calculation of overall BEVI score
gen BuildTOT = Build_1 + Build_2 + Build_3






